Last modified: 2012-12-19 11:28:51 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 31615 - Update call of User::getGroupMember in Special:GlobalUsers
Update call of User::getGroupMember in Special:GlobalUsers
Status: REOPENED
Product: MediaWiki extensions
Classification: Unclassified
CentralAuth (Other open bugs)
unspecified
All All
: Lowest minor (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on: global-prefs 31503
Blocks: gender
  Show dependency treegraph
 
Reported: 2011-10-11 19:55 UTC by Umherirrender
Modified: 2012-12-19 11:28 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Umherirrender 2011-10-11 19:55:25 UTC
with bug 31503 a new param was added to User::getGroupMember. Please fill this param in the CentralAuth extension to support the gender distinction for user groups on Special:GlobalUsers.

Thanks.
Comment 1 Umherirrender 2012-09-07 14:58:21 UTC
There exist no global gender, so this is not a good idea, because it is using the local gender for the text, that must not match each other.
Comment 2 Robin Pepermans (SPQRobin) 2012-09-09 16:27:11 UTC
(In reply to comment #1)
> There exist no global gender, so this is not a good idea, because it is using
> the local gender for the text, that must not match each other.

So one's gender can vary from wiki to wiki? ;-)

Anyway, maybe make it dependent on global preferences (bug 14950) and/or mark it for LATER?
Comment 3 Alex Monk 2012-09-09 16:56:28 UTC
That makes more sense. Changed to LATER, depending on gobal preferences.
Comment 4 Andre Klapper 2012-12-19 11:28:51 UTC
[Removing RESOLVED LATER as discussed in http://lists.wikimedia.org/pipermail/wikitech-l/2012-November/064240.html . Reopening and setting priority to "Lowest". For future reference, please use either RESOLVED WONTFIX (for issues that will not be fixed), or simply set lowest priority. Thanks a lot!]

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links